Bug 834411 - [abrt] tracker-0.14.1-1.fc17: __GI___libc_malloc: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.14.1-1.fc17: __GI___libc_malloc: Process /usr/libexec/tracke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:a566c6fc5ca2d558c04a1cc1a54...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 15:10 EDT by Thomas
Modified: 2013-07-31 18:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.42 KB, text/plain)
2012-06-21 15:10 EDT, Thomas
no flags Details
File: maps (27.90 KB, text/plain)
2012-06-21 15:10 EDT, Thomas
no flags Details
File: backtrace (106.42 KB, text/plain)
2012-06-21 15:11 EDT, Thomas
no flags Details

  None (edit)
Description Thomas 2012-06-21 15:10:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: __GI___libc_malloc
executable:     /usr/libexec/tracker-extract
kernel:         3.4.3-1.fc17.x86_64
pid:            2091
pwd:            /
time:           Thu 21 Jun 2012 02:56:14 PM EDT
uid:            1000
username:       thomas

backtrace:      Text file, 108975 bytes
dso_list:       Text file, 5545 bytes
maps:           Text file, 28567 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thomas/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7ccea _int_malloc libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7fcb3 malloc libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d2bf g_malloc libglib-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2fe4e g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16261 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x168ac g_object_new libgobject-2.0.so.0 -
:80d3d0106338bd76f3ff4eed36d44e934cafc3f4 0xa87d tracker_sparql_builder_construct_embedded_insert libtracker-sparql-0.14.so.0 -
:ea7d20d88dc49c1d58a72c830438b6e297244d03 0x8c37 tracker_extract_info_new libtracker-extract-0.14.so.0 -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x96d2 - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9c1d - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9faa - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x754f main [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-vt1AsWy5f3,guid=e81e64227c0653b19b27a3a900000031
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/thomas/keyring-Sll4ed/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1068,unix/unix:/tmp/.ICE-unix/1068
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/thomas/keyring-Sll4ed/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vt1AsWy5f3,guid=e81e64227c0653b19b27a3a900000031
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-thomas-UJnb0A/database
:USER=thomas
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1064
:SHLVL=1
:PWD=/home/thomas
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/run/user/thomas/keyring-Sll4ed
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=thomas
:HOME=/home/thomas

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             982376448            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47586                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         982376448            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47586                47586                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[23671]
:pos:	0
:flags:	02004002
:7:socket:[22201]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[22674]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:/home/thomas/.local/share/tracker/tracker-extract.log
:pos:	247746
:flags:	0102001
:13:pipe:[18419]
:pos:	0
:flags:	02000001
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:pipe:[18419]
:pos:	0
:flags:	02000001

smolt_data:
:
:
:General
:=================================
:UUID: 07a67944-cc6c-40cb-9eff-87f45d602796
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5320.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 5969
:System Swap: 6142
:Vendor: Gateway
:System: DX4710-UB301A OEM
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(5138:5924:5315:5893) pci, snd_ice1724, MULTIMEDIA_AUDIO, VT1720/24 [Envy24PT/HT] PCI Multi-Channel Audio Controller
:(32902:10544:5681:57399) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:5681:57399) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10514:5681:57399) pci, None, PCI/ISA, 82801IH (ICH9DH) LPC Interface Controller
:(4318:4676:14402:5462) pci, nvidia, VIDEO, GF116 [GeForce GTX 550 Ti]
:(32902:10534:5681:57399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10558:5681:57399) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10572:5681:57399) pci, e1000e, ETHERNET, 82566DC-2 Gigabit Network Connection
:(32902:10549:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:5681:57399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10548:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:5681:57399) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10556:5681:57399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4318:3054:14402:5462) pci, snd_hda_intel, MULTIMEDIA, N/A
:(32902:10553:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:5681:57399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10689:5681:57399) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 9752014 7869895 7772263 2441216 2196876 2196876
:/dev/sdc1 WITHHELD fuseblk 4096 4096 156282367 20995070 20995070 84176888 84115994 84115994
:/dev/sdb2 /home ext4 4096 4096 8178916 6514074 6104103 2052176 1915307 1915307
:/dev/sdd1 WITHHELD vfat 4096 4096 1989964 1968034 1968034 0 0 0
:

var_log_messages:
:Jun 20 22:17:55 thomthom kernel: [  281.091966] tracker-extract[1844] general protection ip:3efc87ccea sp:7fff509b7120 error:0 in libc-2.15.so[3efc800000+1ac000]
:Jun 20 22:17:56 thomthom abrt[1858]: Saved core dump of pid 1844 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-06-20-22:17:55-1844 (111685632 bytes)
:Jun 20 22:17:57 thomthom kernel: [  282.642788] tracker-extract[1923]: segfault at 12 ip 0000003efc87ccea sp 00007fff4765a5e0 error 4 in libc-2.15.so[3efc800000+1ac000]
:Jun 20 22:17:57 thomthom abrt[1940]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:Jun 21 14:56:13 thomthom kernel: [  123.329860] tracker-extract[2091]: segfault at 50 ip 0000003efc87ccea sp 00007fff028019c0 error 4 in libc-2.15.so[3efc800000+1ac000]
:Jun 21 14:56:14 thomthom abrt[2105]: Saved core dump of pid 2091 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-06-21-14:56:14-2091 (111689728 bytes)
:Jun 21 14:56:14 thomthom kernel: [  124.039796] tracker-extract[2131]: segfault at 50 ip 0000003efc87ccea sp 00007fff5dc08d20 error 4 in libc-2.15.so[3efc800000+1ac000]
:Jun 21 14:56:14 thomthom abrt[2151]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
Comment 1 Thomas 2012-06-21 15:10:56 EDT
Created attachment 593564 [details]
File: dso_list
Comment 2 Thomas 2012-06-21 15:10:58 EDT
Created attachment 593565 [details]
File: maps
Comment 3 Thomas 2012-06-21 15:11:00 EDT
Created attachment 593566 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-07-03 17:40:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 18:58:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.